
Redmine - Defect #21075

User without role in project is not shown as a selection option in Author filter (Issues tab)

2015-10-26 19:00 - Deoren Moor

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.1.1

Description

Scenario:

1. User submits an issue

2. Issue is moved from an area where they do have access to one where they do not

3. Dev goes to search for all tickets authored by the user in a project where the author does not have permission (or even at the

global level)

4. User is not in the list of Authors that can be applied via a filter

Workaround:

1. Add user to project as reporter

2. User is now selectable in the Authors filter

All of our installations are at version 3.1.1, so I'm unsure when this first occurred.

Related issues:

Is duplicate of Redmine - Feature #1875: Issue filtering on author only uses ... New 2008-09-09

History

#1 - 2016-01-24 15:34 - Christian Buczek

Another Scenario goes in the same direction:

user A creates a issue

issue were assigned to user B

admin deactivate user A

other scenario: admin only removes A from project

user B is available to assigne issue to A

There are two point for discussion:

is it ok, that an issue is still longer assigned to an user who were removed?

maybe: yes...

is it ok, that an issue can be assigned to a user who is still removed from the project or still deactivated?

in my opinion: nope.

(seen this fail in version 3.1.2 and 3.2.0)

#2 - 2017-11-05 08:08 - Go MAEDA

- Category changed from Issues to Issues filter

- Status changed from New to Closed

- Resolution set to Duplicate

This feature is not implemented yet but I am closing this issue as a duplicate of #1875.

#3 - 2017-11-05 08:08 - Go MAEDA

- Is duplicate of Feature #1875: Issue filtering on author only uses members of project added
